
/*
 * global var
 */
var _YUI

/**
 * adds player to a team
 */
function addPlayer(teamID) {
	
	var playerId=$("#player-search-add-form-hidden").val();
	var myData = {'player_id': playerId};
	
	$.ajax({
		type: "POST",
		dataType:"json",
		traditional:false,			// TODO: go on: player not added anymore
		url: "?r=team/addPlayer/team_id/"+teamID,
		data: JSON.stringify(myData),
		success:function(data){
			
			if(data['valid']) {				
				if(data['player_id'] && data['player_prename'] && data['player_name']) {
					$("#no_players_in_team_label").hide("fast");
					$("#player-search-add-form").val("");
					$("#team-list").append('<li id="yui_3_14_1_1_1394164133994_85" class="team-list yui3-dd-drop yui3-dd-draggable" style="opacity: 1;"> <label id="'+data['player_id'] +'" for="1" style="font-weight: bold;">'+data['player_prename'] +' ' +data['player_name'] +'</label><img alt="" src="' +data['base_url'] +'/images/icons/dragndrop_icon.png" style="float: right; margin-left: 20px;" width="16"> ' +data['player_edit_link'] +'<img alt="" src="' +data['base_url'] +'/images/icons/edit_icon.png" style="float: right; margin-left: 20px;" width="16"></a><a href="?r=user/deleteUser/player_id/'+data['player_id'] +'/team_id/' +data['team_id'] +'"><img alt="" src="' +data['base_url'] +'/images/icons/delete_icon.png" style="float: right; margin-left: 20px;" width="16"></a></li>');		
				} 
			}
			else {  					
				alert('Anordnung konnte nicht geändert werden: ' +data['msg']);		// TODO: nicer popoup or red text
			}			
       	},
	    error: function(data, textStatus, errorThrown) { // if error occured
				
		   alert('ERROR: Änderungen konnten nicht gespeichert werden.');
	    },
	});
}

/**
 * deletes a player from a team
 */
//function deletePlayer(playerID, teamID) {
//	
//	var myData = {'player_id': playerID, 'team_id': teamID};
//	
//	$.ajax({
//		type: "POST",
//		dataType:"json",
//		traditional:false,
//		url: "?r=team/deletePlayer,
//		data: JSON.stringify(myData),
//		success:function(data){
//			
//			if(data['valid']) {	
//				// TODO: redirect/reload page
//				
////				if(data['player_id'] && data['player_prename'] && data['player_name']) {
////					$("#no_players_in_team_label").hide("fast");
////					$("#player-search-add-form").val("");
////					$("#team-list").append('<li id="yui_3_14_1_1_1394164133994_85" class="team-list yui3-dd-drop yui3-dd-draggable" style="opacity: 1;"> <label id="'+data['player_id'] +'" for="1" style="font-weight: bold;">'+data['player_prename'] +' ' +data['player_name'] +'</label><img alt="" src="images/dragndrop.png" style="float: right; margin-left: 15px; "> <a href="?r=user/editProfile&u_id='+data['player_id'] +'"><img alt="" src="images/edit_button.gif" style="float: right; margin-left: 10px; "></a><a href="?r=user/deleteUser&u_id='+data['player_id'] +'"><img alt="" src="images/delete_button.gif" style="float: right; margin-left: 10px; "></a></li>');		
////				} 
//			}
//			else {  					
//				alert('Spieler konnte nicht gelöscht werden.');		// TODO: nicer popoup or red text
//			}			
//       	},
//	    error: function(data, textStatus, errorThrown) { // if error occured
//				
//		   alert('ERROR: Spieler konnte nicht gelöscht werden.');
//	    },
//	});
//}

function storePlayerOrder(teamID) {
	
	//list all team names
	var playerRanks = {};
    var players = _YUI.Node.all('#play ul li label');
    var currRank = 0;
    players.each(function(v, k) {
    	var playerId = v._stateProxy.id;
    	playerRanks[playerId] = currRank;
    	currRank = currRank + 1;
    	//alert("ID: " +teamId +" - " +currRank);    	
    });	
    
    var teamName = $("#team-name-form").val();
    var teamCaptain = $("#team-captain-hidden").val();
    var imgTxt = $("#image-text-form").val();
    
    var myData = {'order': playerRanks, 'team_name': teamName, 'captain': teamCaptain, 'image_text': imgTxt} ;
    
    $.ajax({
		type: "POST",
		dataType:"json",
		traditional:false,
		url: "?r=team/editTeam&team_id="+teamID,
		data: JSON.stringify(myData),
		success:function(data){
			
			if(data['valid']) {				   					
				alert('Änderungen erfolgreich gespeichert.');			// TODO: nicer popoup or green text
				//window.location.replace("?r=news/newsFeed&news_id=-1");
			}
			else {  					
				alert('Änderungen konnte nicht gespeichert werden.');		// TODO: nicer popoup or red text
			}			
       	},
	    error: function(data, textStatus, errorThrown) { // if error occured
				
		   alert('ERROR: Änderungen konnte nicht gespeichert werden.');
	    },
	});
    
}




function storeTeamOrder() {
		
	//list all team names
	var teamRanks = {};
    var teams = _YUI.Node.all('#play ul li label');
    var currRank = 0;
    teams.each(function(v, k) {
    	var teamId = v._stateProxy.id;
    	teamRanks[teamId] = currRank;
    	currRank = currRank + 1; 	
    });	
       	
    var myData = JSON.stringify({'order': teamRanks}) ;
    
    $.ajax({
		type: "POST",
		dataType:"json",
		url: "?r=team/arrangeTeams", 
		data: myData,
		success:function(data){
			
			if(data['valid']) {				   					
				alert('Änderungen erfolgreich gespeichert.');			// TODO: nicer popoup or green text
				//window.location.replace("?r=news/newsFeed&news_id=-1");
			}
			else {  					
				alert('Änderungen konnte nicht gespeichert werden.');		// TODO: nicer popoup or red text
			}			
       	},
	    error: function(data, textStatus, errorThrown) { // if error occured
				
		   alert('ERROR: Änderungen konnte nicht gespeichert werden.');
	    },
	});
    
}



function storeSubPageOrder() {
	
	//list all subPage names
	var subPageRanks = {};
	var subPages = _YUI.Node.all('#play ul li label');
	var currRank = 0;
	subPages.each(function(v, k) {
		var subPageId = v._stateProxy.id;
		subPageRanks[subPageId] = currRank;
		currRank = currRank + 1; 	
	});	
	   	
	var myData = JSON.stringify({'order': subPageRanks}) ;
	
	$.ajax({
		type: "POST",
		dataType:"json",
		url: "?r=subPage/rearrangeSubPages", 
		data: myData,
		success:function(data){
			
			if(data['valid']) {				   					
				alert('Änderungen erfolgreich gespeichert.');			// TODO: nicer popoup or green text
				//window.location.replace("?r=news/newsFeed&news_id=-1");
			}
			else {  					
				alert('Änderungen konnte nicht gespeichert werden.');		// TODO: nicer popoup or red text
			}			
	   	},
	    error: function(data, textStatus, errorThrown) { // if error occured
				
		   alert('ERROR: Änderungen konnte nicht gespeichert werden.');
	    },
	});
}



YUI().use('dd-constrain', 'dd-proxy', 'dd-drop', function(Y) {
	_YUI = Y;
	
    //Listen for all drop:over events
    Y.DD.DDM.on('drop:over', function(e) {
        //Get a reference to our drag and drop nodes
        var drag = e.drag.get('node'),
            drop = e.drop.get('node');
        
        //Are we dropping on a li node?
        if (drop.get('tagName').toLowerCase() === 'li') {
            //Are we not going up?
            if (!goingUp) {
                drop = drop.get('nextSibling');
            }
            //Add the node to this list
            e.drop.get('node').get('parentNode').insertBefore(drag, drop);
            //Resize this nodes shim, so we can drop on it later.
            e.drop.sizeShim();
        }
    });
    
    //Listen for all drag:drag events
    Y.DD.DDM.on('drag:drag', function(e) {
        //Get the last y point
        var y = e.target.lastXY[1];
        //is it greater than the lastY var?
        if (y < lastY) {
            //We are going up
            goingUp = true;
        } else {
            //We are going down.
            goingUp = false;
        }
        //Cache for next check
        lastY = y;
    });
    
    //Listen for all drag:start events
    Y.DD.DDM.on('drag:start', function(e) {
        //Get our drag object
        var drag = e.target;
        //Set some styles here
        drag.get('node').setStyle('opacity', '.25');
        drag.get('dragNode').set('innerHTML', drag.get('node').get('innerHTML'));
        drag.get('dragNode').setStyles({
            opacity: '.5',
            borderColor: drag.get('node').getStyle('borderColor'),
            backgroundColor: drag.get('node').getStyle('backgroundColor')
        });
    });
    
    //Listen for a drag:end events
    Y.DD.DDM.on('drag:end', function(e) {
        var drag = e.target;
        //Put our styles back
        drag.get('node').setStyles({
            visibility: '',
            opacity: '1'
        });
    });
    
    //Listen for all drag:drophit events
    Y.DD.DDM.on('drag:drophit', function(e) {
        var drop = e.drop.get('node'),
            drag = e.drag.get('node');

        //if we are not on an li, we must have been dropped on a ul
        if (drop.get('tagName').toLowerCase() !== 'li') {
            if (!drop.contains(drag)) {
                drop.appendChild(drag);
            }
        }
    });
    
    //Static Vars
    var goingUp = false, lastY = 0;

    //Get the list of li's in the lists and make them draggable
    var lis = Y.Node.all('#play ul li');
    lis.each(function(v, k) {
        var dd = new Y.DD.Drag({
            node: v,
            target: {
                padding: '0 0 0 20'
            }
        }).plug(Y.Plugin.DDProxy, {
            moveOnEnd: false
        }).plug(Y.Plugin.DDConstrained, {
            constrain2node: '#play'
        });
    });

    //Create simple targets for the 2 lists.
    var uls = Y.Node.all('#play ul');
    uls.each(function(v, k) {
        var tar = new Y.DD.Drop({
            node: v
        });
    });     
    
});