<?php 
/*
 *
 *
 */
class TopBar extends CWidget
{	
    public function run()
    {      
        if(Yii::app()->user->getIsGuest() )
        {
        	$clubID = -1;
//         	$dunnycontroller = new Controller('dummy_top_bar_controller');
        	if(isset($_GET['clubUrl'])) {
        		$clubID = Controller::getClubId(Null, $_GET['clubUrl']);
        		if(isset($clubID) && $clubID >= 0) {
        			Yii::app()->setHomeUrl('http://' . $_GET['clubUrl']);
        		}
        	}        	
        	
            $model=new LoginForm;
            $model->clubId = $clubID;
            
//             // if it is ajax validation request
//             if(isset($_POST['ajax']) && $_POST['ajax']==='login-form')
//             {
//                     echo CActiveForm::validate($model);
//                     Yii::app()->end();
//             }
            
            // collect user input data
            if(isset($_POST['LoginForm']))
            {                   
                $model->attributes=$_POST['LoginForm'];
                                
                $model->validate();
                $modelLogin = $model->login();
                if($modelLogin == CUserIdentity::ERROR_NONE)
                {

                	$redirectUrl = Yii::app()->controller->createUrl('news/newsFeed', array('news_id' => -1));
                	Yii::app()->controller->redirect($redirectUrl);
                    return;  
                }
                else 
                {                    
                    Yii::app()->controller->redirect(Yii::app()->createUrl('site/loginError', array('error' => $modelLogin)) );
                    return;
                }                                  
            }   
                        
            $this->render('TopBarLoggedOut', array('datamodel' => $model));            
            return;                                   			
        }
        else
        {        	
        	$this->renderTopBarLoggedIn();
        	return;
        }
        
        $this->render('TopBarLoggedOut', array('datamodel' => $model));        
        return;
    }
    
    /**
     * 
     */
    private function renderTopBarLoggedIn() {
    	
    	$u_id = Yii::app()->user->id;
    	$hasClubs = HasClubs::model()->findAllByAttributes(array('u_id' => $u_id), array('order'=>'last_used DESC'));
    	 
    	$clubs = array();
    	foreach ($hasClubs as $tmp_club) {
    		if($tmp_club->activated) {
    			$clubs[] = Club::model()->findByPk($tmp_club->club_id);
    		}
    	}
    	 
    	
    	if(!empty($clubs)) {
    		$tmp_hasClub = Null;
    		$club = Null;
    	
    		/*
    		 * check if we can get a club (id) from the user's session
    		 */
    		$clubID = Yii::app()->user->getState('club_id');
//     		$dunnycontroller = new Controller('dummy_top_bar_controller');
    		
    		$clubIDurl = 1;
    		if(isset($_GET['clubUrl'])) {
    			$clubIDurl = Controller::getClubId(Null, $_GET['clubUrl']);
    		}
    		
    		if(isset($clubID) && ($clubID == $clubIDurl)) {
    			$club = new Club;
    			$club->club_id = $clubID;
    			$tmp_hasClub = HasClubs::model()->findByPk(array('u_id' => $u_id, 'club_id' => $club->club_id));
    		}
    		
    		if(count($clubs) == 1) {
    			if($clubs[0]->club_id == $clubIDurl) {
    				$clubs = Null;
    			}    			
    		}
    	
    		if(isset($tmp_hasClub)) {
    			// TODO: assert($tmp_hasClub->activated);
    			
    			$createPosts = false;
    			if(Yii::app()->user->checkAccess('author')) {
    				$createPosts = true;
    			}
    			
    			$clubAdministration = false;
    			if(Yii::app()->user->checkAccess('editor') || Yii::app()->user->checkAccess('team_manager') || 
    				Yii::app()->user->checkAccess('club_manager') || Yii::app()->user->checkAccess('youth_executive') ||
    				Yii::app()->user->checkAccess('admin')) {
    				$clubAdministration = true;
    			}
    			
    			$this->render('TopBarLoggedIn', array('club' => $club, 'clubs' => $clubs, 'createPosts' => $createPosts, 'clubAdministration' => $clubAdministration));
    		}
    		else {
    			$club = new Club;
    			$this->render('TopBarLoggedInNotInClub', array('club' => $club, 'clubs' => $clubs));				
    		}
    	
    		return;
    	}
    	else {
    	
    		$this->render('TopBarLoggedInNotInClub');
    	
    		return;
    	}
    }
}


