<?php

/**
 * DUser models that corresponds with tbl_user table in DB.
 *
 * @author scheer
 */
class User extends CActiveRecord {
    
    
    public $u_id = Null;
    public $email = Null;
    public $prename = Null;
    public $name = Null;
    public $reigstered_date;
    public $last_login;
    public $activated;
    public $password;
    public $session_key; 
    
    
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }
    
    
    public function rules()
    {
        return array(
            array('u_id', 'numerical'),
            array('email', 'unique', 'message'=>'Die E-Mail-Adresse wird bereits verwendet!', 'on' => 'userCreate'),
            array('email', 'email', 'message'=>'Bitte geben Sie eine gültige Email-Adresse an!'),
            array('reigstered_date', 'date', 'format' => 'yyyy-MM-dd'),
            array('password', 'required', 'message' => 'Bitte geben Sie ein Passwort ein.'),
        	array('name, prename', 'required'),
        	array('name, prename', 'length', 'min'=>1, 'max'=>40),
        );
    }
    
    public function tableName()
    {
        return 'tbl_user';
    }
        
    
    public function getUsers() 
    {        
    
    }
}

?>
