<?php


/**
 * Clubs of a player.
 * 
 * With this record you can get all clubs that belong to a certain player
 * or the other way around.
 * @author scheer
 */
class HasClubs extends CActiveRecord {


	public $club_id = Null;          
	public $u_id =  Null;	
	public $last_used = Null;		
	public $activated = 0;	
	public $role = Null;	


	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}


	public function rules()
	{
		return array(
			array('club_id, u_id', 'numerical'),
			array('club_id, u_id, activated', 'required'),
			array('activated', 'boolean', 'allowEmpty' => false),
			array('role', 'in', 'range'=> ClubRole::getValidValues() ),
		);
	}

	public function tableName()
	{
		return 'tbl_belongs_to';
	}

}
?>
