<?php


/**
 * Teams of a player.
 * 
 * With this record you can get all teams that belong to a certain player
 * or the other way around.
 * @author scheer
 */
class HasTeams extends CActiveRecord {


	public $team_id = Null;          
	public $u_id =  Null;			  		
	public $player_rank = Null;
	public $reserve = false;   			


	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}


	public function rules()
	{
		return array(
				array('team_id, u_id, player_rank', 'numerical'),
				array('team_id, u_id', 'required'),
				array('reserve', 'boolean'),
		);
	}

	public function tableName()
	{
		return 'tbl_plays_in';
	}

}
?>
