<?php

class SubPageBlogEntry extends CActiveRecord {


	public $subpage_simple_blog_id = Null;
	public $subpage_id = -1;        // integer starting with 1; -1 means for showing the news feed.
	public $title = '';         	// character varying(55)
	public $text = '';
	public $date = '';   			// date
	public $order_id = '';   			// order
	public $visibility = 'public';



	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	

	
	public function rules()
	{
		return array(
				array('visibility', 'in', 'range'=> Visibility::getValidValues() ),
				array('subpage_id', 'required'),
				array('subpage_id, order_id', 'numerical'),
				/*
				 array('date', 'date', 'format' => array(
				 		'dd.MM.yyyy', 'd.M.yyyy', 'dd.M.yyyy', 'd.MM.yyyy',
				 		'dd.MM.yy', 'd.M.yy', 'dd.M.yy', 'd.MM.yy',
				 		'MM.dd.yyyy', 'M.d.yyyy', 'MM.d.yyyy', 'M.dd.yyyy',
				 		'MM.dd.yy', 'M.d.yy', 'MM.d.yy', 'M.dd.yy',),
				 ),
		*/
		);
	}
	
	
	public function tableName()
	{
		return 'tbl_sub_page_simple_blog';
	}
}

?>