<?php

class Team extends CActiveRecord {
      
    
    public $team_id = Null;          	
    public $club_id =  Null;			  		
    public $img_id = Null;
    public $captain = '';   	// integer id of user who is captain 
    public $team_name;         	// character varying(40)
    public $team_rank = 100; 	// integer rank within a club (will be changed if an league-system us used)
//     public $tt_class = 'none';	// enum of: 'none', 'schueler_c', 'schueler_b', 'schueler_a', 'boys', 'girls', 
//     							// 'men', 'women', 'elderly' 
	public $motto = Null;		 // varchar(250)    
	public $img_text = '';      // varchar(250)    
    
    
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }
    
    
    public function rules()
    {
        return array(
            array('team_id', 'unique'),
            array('team_id, club_id, img_id, team_rank', 'numerical'),
            array('team_name', 'length', 'min'=>1, 'max'=>40),
        	array('img_text', 'length', 'min'=>0, 'max'=>250),
        	array('motto', 'length', 'min'=>0, 'max'=>250),
        );
    }   
    
    public function tableName()
    {
        return 'tbl_team';
    }
    
}
?>
