<?php

class UserEmail extends CActiveRecord {
      
    
    public $u_id = -1;          // integer starting with 1
    public $email = '';              // character varying(60)    
    public $visibility = 'private';    
    public $label = 'privat';              // character varying(20)
    
    
    
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }
    
    
    public function rules()
    {
        return array(
            array('u_id', 'numerical'),
            array('email', 'email'),
            array('email', 'length', 'min'=>0, 'max'=>60),
            array('label', 'length', 'min'=>0, 'max'=>20),
        	array('visibility', 'in', 'range'=> Visibility::getValidValues() ),
        );
    }
    
    public function tableName()
    {
        return 'tbl_email';
    }
    
}

?>
