<?php

/**
 * 
 */
class TableTennisProperties extends CActiveRecord {
      
    
    public $u_id = Null;          // integer starting with 1
    public $img_id = Null;    	//	image for table tennis players
    public $score_service_link = Null;	
    public $forehand = Null;
    public $backhand = Null;    
    public $blade= Null;
    public $specialty = Null;     
    public $right_hander= false;
    public $shoes= Null;
    
    
    
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }
    
    
    public function rules()
    { 
        return array(
            array('u_id, img_id', 'numerical'),
        	array('forehand', 'length', 'min'=>0, 'max'=>60),
        	array('backhand', 'length', 'min'=>0, 'max'=>60),
        	array('blade', 'length', 'min'=>0, 'max'=>60),
        	array('specialty', 'length', 'min'=>0, 'max'=>100),
        	array('shoes', 'length', 'min'=>0, 'max'=>60),
        	array('score_service_link', 'length', 'min'=>0, 'max'=>200),
	       	array('score_service_link', 'url', 'defaultScheme' => 'http'),   
        );
    }

    
    public function tableName()
    {
        return 'tbl_table_tennis_properties';
    }
    
}

?>
