
<?php
/**
 * Javascript 
 */


Yii::app()->clientScript->registerScriptFile(
	Yii::app()->request->baseUrl.'/javascript/editNews.js',CClientScript::POS_END);

?>
	
<div class="span-14" style="height: 30px; float: left;">
<?php 
if(!$newsEdited) {

echo CHtml::link('<< zurück',Yii::app()->request->urlReferrer,
		array('style' => 'color: #FF3333; float:left;'));
} 
else {
echo CHtml::link('<< zurück',$this->createUrl('news/editNewsOverview'),
		array('style' => 'color: #FF3333; float:left;'));
}
?>
</div>


<?php 

$maxFiles = 10;

if(!isset($newsModel)) {
	return;
}

if(!isset($updateErrorMessage)) {
	return;
}


if(!isset($newsEdited)) {
	return;
}




if($newsEdited==true) {
	echo CHtml::Label('Die Änderungen waren erfolgreich. ', true, array('style' => 'font-weight: normal; color: green; float: left;'));
	echo CHtml::link('>> Beitrag ansehen',$this->createUrl('news/newsFeed', 
				array('news_id' => $newsModel['news_id'])), array('style' => 'color: #FF3333; float: right;'));
	?>

	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left;margin-top: 10px; margin-bottom: 15px;">
		<!-- separator -->
	</div>
	
	
<?php } ?>







<div class="form">
<?php $form=$this->beginWidget('CActiveForm',  
		array(
        'id' => 'upload-form',
        'enableAjaxValidation' => false,
        'htmlOptions' => array('enctype' => 'multipart/form-data'),
    )); ?> 


<div class="span-13" style="height: 35px; background-color: white; float: left;">
		
	<table>
	<tr>
	<td style="padding: 0px; margin 0px;">
	<?php echo CHtml::Label('Überschrift', true, array('style' => ''));?>
	</td>
	
	<td  style="padding-left: 10px; margin 0px;">
	<?php echo CHtml::activeTextField($newsModel, 'headline', array('style' => 'border: solid grey 1px; width: 280px'));?>
	</td>				
	</table>
	
</div>
	
<div class="span-13" style="float: left;">
	<?php echo CHtml::activeTextArea($newsModel, 'text', array('style' => 'float: left; resize: none; border: solid grey 1px; 
			', 'rows' => 8, 'cols' => 50));?>
</div>

<div class="span-13" style="background-color: white; float: left; margin-top: 10px; margin-bottom: 10px;">
	<?php
	echo CHtml::Label('Sichtbarkeit:', true, array('style' => 'float: left; margin-right: 10px;'));
    $this->widget('ext.visibility_popup.VisibilityPopup', 
			array('model' => $newsModel, 'attribute' => "visibility",
				'style' => 'float: left; top: -8px;'));
	?>
</div>




 


<div class="span-13" style="height: 15px; float: left;"> </div>




<div class="span-13" style="background-color: white; float: left;">
				
		<?php
		  $this->widget('CMultiFileUpload', array(
// 		     'model'=>$image,
		     //'attribute'=>'file_name',
			 'name' => 'file_name',
		     'accept'=>'jpg|gif|png',
			 'max' => $maxFiles,
		     'options'=>array(				
		        'onFileSelect'=>'function(e, v, m){  }',
		        'afterFileSelect'=>'function(e, v, m){
					
					var fileSize = e.files[0].size;
					//alert("asdsd: " +fileSize);		// TODO: go on
					if(fileSize>10000*1024){
                    	alert("Datei darf nicht größer sein als 10MB");
						fileCount = fileCount + 1;
                    	$(".MultiFile-remove").last().click(); //<--cliks the remove button if size exceeds
                  	}
					else {
						
						fileCount = fileCount + 1;
						if(fileCount >= maxFileCount) {
		     				$("#maxFileCountHint").show("fast");
						}
						
					}					

					return true; 
				}',
		        'onFileAppend'=>'function(e, v, m){  }',
		        'afterFileAppend'=>'function(e, v, m){  }',
		        'onFileRemove'=>'function(e, v, m){  }',
		        'afterFileRemove'=>'function(e, v, m){  
					fileCount = fileCount - 1;
					$("#maxFileCountHint").hide("fast"); 
				}',
		     ),
		  ));
		?>
	
	<?php echo CHtml::Label('Es können höchstens ' .$maxFiles .' Dateien gleichzeitig hochgeladen werden.', true, 
			array('style' => 'font-weight: normal; display: none; margin-top: 5px;', 'id' => 'maxFileCountHint'));?>
			
		
	 
	</div>



	<div class="span-13" style="height: 15px; float: left;"> </div>
	
	
	<div class="span-13" style="height: 25px; background-color: white; float: left;">
	<?php echo CHtml::submitButton('Beitrag ändern'); ?>
	</div>	


	<?php $this->endWidget(); ?>
</div><!-- form -->




	<?php 
	if(isset($newsImages) && count($newsImages) > 0) {

	?>
	
<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left;margin-top: 10px; margin-bottom: 15px;">
		<!-- separator -->
</div>



<div class="span-13" style="float: left; margin-bottom: 15px; position: relative;">
	<?php 

		$lines = 0;
		$i = 0;
		foreach ($newsImages as $imgCount => $newsImg) {


			$img = $newsImg->image();
			$imgWidth = 160;
			$imgHeight = $imgWidth;
			if($img->height > $img->width) {				
				$crop = array('width' => $img->width, 'height' => $img->width,
					'offset_x' => Null, 'offset_y' => Null);			// TODO: check if NULL centralizes the image crop
			}
			else {
				$crop = array('width' => $img->height, 'height' => $img->height,
					'offset_x' => Null, 'offset_y' => Null);
			}
			
			$image = Yii::app()->easyImage->thumbOf($img->file,
					array(
							'crop' => $crop,
							'resize' => array('width' => $imgWidth),	// 160x160 image
							'type' => 'jpg',
							'quality' => 70,
					),
					array('style' => 'margin-bottom: 7px;
								float: left; border: solid grey 1px;')
			);
			

			?>
			<div style=" position: relative; width: 160px; height: 160px; padding: 5px; float: left;" 
			id="edit_image_container_<?php echo $imgIds[$imgCount];?>">
			
			<?php 
			echo CHtml::link($image, '', array('style' => 'position: absolute;', 
								'id' => 'news_img_'.$imgIds[$imgCount].'')); 
			?>
			<div style="width: 32px; height: 32px; z-index: 1; margin-left: 5px; margin-top: 5px; position: absolute;">
			
			<?php 
			// star image
			$starImgPath = Yii::app()->request->baseUrl.'/images/icons/star.png';
			$emptyStarImgPath = Yii::app()->request->baseUrl.'/images/icons/star_empty.png';
			if(isset($mainImgId) && $mainImgId == $imgIds[$imgCount]) {
				$starImg = $starImgPath;
			}
			else {
				$starImg = $emptyStarImgPath;
				
			}
			echo CHtml::image($starImg, '', 
				array('style' => '',
						'onclick' => "quickChangeMainImage(".$imgIds[$imgCount].", ".$newsModel->news_id.", '".$starImgPath."', '".$emptyStarImgPath."')",
						'id' => 'star_news_img_'.$imgIds[$imgCount].''));
			?>
			
			</div>
			
			<div style="width: 32px; height: 32px; z-index: 1; margin-left: 127px; margin-top: 5px; position: absolute;">
			<?php 
			
			// delete image
			echo CHtml::image(Yii::app()->request->baseUrl.'/images/icons/thrash_light.png', '',
				array('style' => '',
						'onclick' => "quickDeleteImage(".$imgIds[$imgCount].", ".$newsModel->news_id.", '".$starImgPath."')",
						'id' => 'thrash_news_img_'.$imgIds[$imgCount].''));
			?>
			</div>
			
			</div>
			<?php
		}
		
		
		
		?>
		
		
		
</div>

<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left;margin-top: 3px; margin-bottom: 8px;">
	<!-- separator -->
</div>
	<?php 
	
}
?>
	
	
	

