

<?php 

if(!isset($newsModels) || empty($newsModels)) {
	echo CHtml::label('Noch keine News vorhanden.', true, array('style' => 'float: left; font-weight: normal; color: #FF3333;'));

	?>
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-top: 10px;">
		<!-- separator -->
	</div>
	<?php 
}
else {
	foreach ($newsModels as $newsModel) {
	?>
	
	
	<div style="">
	
		<div class="span-13" style="height: 25px; background-color: white; float: left;">
		
			<div class="span-13" style="height: 25px; background-color: white; float: left;">	
			<?php echo CHtml::link($newsModel['headline'], $this->createUrl('news/newsFeed', array('news_id' => $newsModel->news_id)), 
					array('style' => 'font-weight: bold; font-size: 14px; color: #FF3333;', 'name' => $newsModel->news_id));?>
			</div>
		</div>
	
		<div class="span-13" style="height: 5px; background-color: white; float: left; margin-right: 0px;">
		<!-- free space -->
		</div>
	
		<div class="span-13" style="background-color: white; word-wrap:break-word">
		<?php
		if(isset($newsImages[$newsModel['news_id']])) {	
			// TODO: assert $newsImages[$newsModel['news_id']] == array with array(file_name, scaleHorz)
			// e.g isset($newsImages[$newsModel['news_id']]['file_name'])
			
			$imageName = $newsImages[$newsModel['news_id']]['file_name'];	
			$scaleHorz =$newsImages[$newsModel['news_id']]['scaleHorz'];
			$scaleDir = $scaleHorz ? 'width' : 'height';
			$scaleFactor = $scaleHorz ? 180 : 160;
			
			
			if($newsModel['news_id']%2 != 0) {	
				$newsImage = Yii::app()->easyImage->thumbOf($imageName,
					array(
					'resize' => array($scaleDir => $scaleFactor),
					'type' => 'jpg',
					'quality' => 70,
					),
					array('style' => 'margin-left: 5px; margin-bottom: 5px;  float: right;
							border: solid grey 1px;')
					);	
			}
			else {
				$newsImage = Yii::app()->easyImage->thumbOf($imageName,
					array(
							'resize' => array($scaleDir => $scaleFactor),
							'type' => 'jpg',
							'quality' => 70,
					),
					array('style' => 'margin-right: 5px; margin-bottom: 5px;  float: left; 
							border: solid grey 1px;')
					);
			} 
		
		
			echo CHtml::link($newsImage, $this->createUrl('news/newsFeed', array('news_id' => $newsModel->news_id)) , array());
		}
		?>
		
		
		<?php echo CHtml::Label($newsModel['text'], true);?>
		<br>
		<?php echo CHtml::link('>> mehr lesen ...', $this->createUrl('news/newsFeed', array('news_id' => $newsModel->news_id)), array('style' => 'color: #FF3333;'));?>
		</div>
		
		<div class="span-13" style="height: 8px; background-color: white; float: left; margin-right: 0px;">
		<!-- free space -->
		</div>
		
		<div class="span-13" style="height: 25px; float: left;">
			<div class="span-4" style="height: 25px; float: left;">
				<div class="fb-like" data-href="<?php echo $this->createAbsoluteUrl('news/newsFeed', array('news_id' => $newsModel->news_id));?>" 
				data-layout="button" data-action="like" data-show-faces="true" data-share="false" style="float: left; ">
				</div>
			</div>
			
			<div class="span-2" style="height: 25px; float: right;">	
				<?php 
				echo CHtml::label($newsModel->displayDate(), true, array('style' => 'float: right; font-weight: normal;'));
				?>
			</div>
			
			<div class="span-6" style="height: 25px; float: right;">	
			<?php 
// 			echo print_r($newsAuthors);
			if(isset($newsAuthors) && isset($newsAuthors[$newsModel->news_id])) {
				echo CHtml::link($newsAuthors[$newsModel->news_id], $this->createUrl('user/showUserProfile', array('u_id' => $newsModel->u_id)), 
					array('style' => 'color: #FF3333; float: right; font-weight: lighter; text-decoration: none;'));
			}
			?>
			</div>
		</div>
		
		<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left;">
		<!-- separator -->
		</div>
	
	
	
	
	</div>
	
	
	<div class="span-13" style="height: 25px; background-color: white; float: left; margin-right: 0px;">
	<!-- free space -->
	</div>
	<?php 
	}
	?>
	
	
	
	<div class="span-13" style="height: 35px; background-color: white; float: left; margin-right: 0px;">
	<!-- free space -->
	</div>
	
	
	<?php 
	
	if($offset >= $newsCount) {
		echo CHtml::label('Keine weiteren News. Zurück zur&nbsp;', true, array('style' => 'float: left; font-weight: normal;'));
		echo CHtml::link('Startseite', $this->createUrl('news/newsFeed', array('news_id' => -1, 'offset' => 0)), array('style' => 'color: #FF3333; float: left;'));
	}
	else {
	
		if($offset+$currCount < $newsCount) {
			echo CHtml::link('weiter >>>', $this->createUrl('news/newsFeed', array('news_id' => -1, 'offset' => ($offset+$currCount) )), array('style' => 'color: #FF3333; float: right;'));
		}
		?>
		<div style="float: right; margin-left:10px;">
		<font color="white"> ... </font>
		</div>
		
		<?php 
		
		if($offset-$limit >= 0) {
			echo CHtml::link('<<< zurück', $this->createUrl('news/newsFeed', array('news_id' => -1, 'offset' => ($offset-$limit) )), array('style' => 'color: #FF3333; float: right;'));
		}
	
	}

}

?>