<?php

/**
 * 
 * @author scheer
 *
 */
class ImagePopup extends CWidget
{	
			
	public $model;
	public $attribute;
	public $style;
	public $notClickable = false;
	
	function __construct() {
		
		parent::__construct();
	}
	
	public function init() 
	{
						
		
	}
	
	
	public function run()
	{
						
		if(isset($this->model) && isset($this->attribute)) {
			$filedId = $this->getHiddenFieldId($this->model, $this->attribute);
			
			$style =  '; position: relative; ';
			if(isset($this->style)) {
				$style = $this->style . $style;
			}
			
			
			if(isset($this->notClickable) && $this->notClickable==true) {
				if(isset($this->model->visibility)) {
					$this->model->visibility = Visibility::_PRIVATE;
				}
			}			
			
			$this->render('icon', array('model' => $this->model, 'attribute' => $this->attribute, 
					'filedId' => $filedId, 'style' => $style, 'notClickable' => $this->notClickable));
			
			$this->render('popup', array('model' => $this->model, 'attribute' => $this->attribute, 
					'filedId' => $filedId, 'style' => $style));
		}
	}
	
		
	/**
	 * 
	 * @param unknown $model
	 * @param unknown $attribute
	 * @return unknown
	 */
	private function getHiddenFieldId($model, $attribute) {
		
		$hiddenField = CHtml::activeHiddenField($model, $attribute);
		
		$findStr = 'id="';
		$start=strripos($hiddenField, $findStr);
		$end=  strpos($hiddenField, '"', $start+(strlen($findStr))+1);
		$fieldID = substr($hiddenField, $start+(strlen($findStr)), ($end-$start-strlen($findStr)));
		
		return $fieldID;
	}
	
}