<?php

class Club extends CActiveRecord {
               	
    public $club_id =  Null;	
    public $type = Null;
    public $name =  Null;         // character varying(60)
    public $email =  Null;    
    public $url	='';   			// character varying(80)
    public $img_id = Null;   		
    public $logo_id= Null; 
    public $color = Null; 
    public $color_brightness = Null; 
    public $reigstered_date = NULL;
    
    
    
    
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }
    
   
    public function rules()
    {
        return array(
            array('club_id, url', 'unique'),
        	array('club_id, email, reigstered_date', 'required'),
            array('club_id, img_id', 'numerical'),
            array('name, email', 'length', 'min'=>0, 'max'=>60),
        	array('url', 'length', 'min'=>0, 'max'=>80),
        	array('type', 'in', 'range'=> ClubType::getValidValues() ),
        	array('color', 'in', 'range'=> ClubColor::getValidValues() ),
        	array('color_brightness', 'in', 'range'=> ClubColorBrightness::getValidValues() ),
        );
    }   
    
    public function tableName()
    {
        return 'tbl_club';
    }
    
}
?>
