<?php

class News extends CActiveRecord {
      
    
    public $news_id = -1;          // integer starting with 1; -1 means for showing the news feed.
    public $u_id = -1;			  	// id of user how posted the news
    public $img_id = Null;
    public $date = '';   // date 
    public $headline = '';         // character varying(55)
    public $text;       
    public $top_news;
    public $visibility = 'public'; 
    public $club_id = Null;     
    
    
    
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }
    
    
    public function rules()
    {
        return array(
        	array('visibility', 'in', 'range'=> Visibility::getValidValues() ),
            array('u_id, headline, text', 'required'),
            array('u_id, news_id, club_id', 'numerical'),
        	/*
        	array('date', 'date', 'format' => array(
        		'dd.MM.yyyy', 'd.M.yyyy', 'dd.M.yyyy', 'd.MM.yyyy',
        		'dd.MM.yy', 'd.M.yy', 'dd.M.yy', 'd.MM.yy',        			
        		'MM.dd.yyyy', 'M.d.yyyy', 'MM.d.yyyy', 'M.dd.yyyy',
        		'MM.dd.yy', 'M.d.yy', 'MM.d.yy', 'M.dd.yy',),
        	),
        	*/
            array('headline', 'length', 'min'=>1, 'max'=>55),    
        );
    }    
    
    public function displayDate()
    {
    	if ($this->date != Null) {
    		$this->date = strtotime($this->date);
    		$date = date('d', $this->date) . "." . date('m', $this->date) .".". date('Y', $this->date);

    		return $date;
    	}
    	
    	return '';
    }
    
    public function tableName()
    {
        return 'tbl_news';
    }
    
}
?>
