<?php

class SubPage extends CActiveRecord {


	public $subpage_id = Null;        // integer starting with 1; -1 means for showing the news feed.
	public $club_id = Null;
	public $date = '';   			// date
	public $name = '';         		// character varying(55)
	public $description = '';
	public $order_id = 100;
	public $visibility = 'public';
	public $active = false;



	public static function model($className=__CLASS__)
	{
		return parent::model($className);
	}
	

	
	public function rules()
	{
		return array(
				array('visibility', 'in', 'range'=> Visibility::getValidValues() ),
				array('club_id, name', 'required'),
				array('club_id, order_id', 'numerical'),
				/*
				 array('date', 'date', 'format' => array(
				 		'dd.MM.yyyy', 'd.M.yyyy', 'dd.M.yyyy', 'd.MM.yyyy',
				 		'dd.MM.yy', 'd.M.yy', 'dd.M.yy', 'd.MM.yy',
				 		'MM.dd.yyyy', 'M.d.yyyy', 'MM.d.yyyy', 'M.dd.yyyy',
				 		'MM.dd.yy', 'M.d.yy', 'MM.d.yy', 'M.dd.yy',),
				 ),
		*/
				array('name', 'length', 'min'=>1, 'max'=>55),
		);
	}
	
	
	public function tableName()
	{
		return 'tbl_sub_page';
	}
}

?>