<?php

class UserPhone extends CActiveRecord {
      
    
    public $u_id = -1;          // integer starting with 1
    public $phone = '';         // character varying(30)    
    public $visibility = 'private';    
    public $label = 'privat';         // character varying(20)
    
    
    
    public static function model($className=__CLASS__)
    {
        return parent::model($className);
    }
    
    
    public function rules()
    {
        return array(        	
            array('u_id', 'numerical'),
        	array('phone', 'length', 'min'=>3, 'max'=>30),
        	array('visibility', 'in', 'range'=> Visibility::getValidValues() ),
        );
    }
    
    public function tableName()
    {
        return 'tbl_phone';
    }
    
}
?>
