
<?php
/**
 * Javascript 
 */


Yii::app()->clientScript->registerScriptFile(
	Yii::app()->request->baseUrl.'/javascript/editSimpleBlogSupPageEntry.js',CClientScript::POS_END);

?>

<div class="span-13" style="height: 30px; float: left;">
<?php 
echo CHtml::label('Bearbeiten von: ', true, array('style' => 'float: left; font-weight: bold;'));
echo CHtml::label('&nbsp;'. $subPage->name, true, array('style' => 'float: left; font-weight: normal;'));


if(/*!$newsEdited*/ False) {	
echo CHtml::link('<< zurück',Yii::app()->request->urlReferrer,
		array('style' => 'color: #FF3333; right;'));
} 
else {
echo CHtml::link('<< zurück',$this->createUrl('subPage/editSubPageEntryOverview/subPage_id/'.$subPageEntryModel->subpage_id),
		array('style' => 'color: #FF3333; float: right;'));
}
?>
</div>

<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left;
			margin-bottom:20px; margin-top:0px;">
	<!-- separator -->
</div>


<div class="form">
	<?php 
	$form=$this->beginWidget('CActiveForm',  
		array(
        'id' => 'upload-form',
        'enableAjaxValidation' => false,
        'htmlOptions' => array('enctype' => 'multipart/form-data'),
    )); 
	?>


	<div class="span-13" style="height: 20px; float: left;">
		<?php 
		echo CHtml::activeTextField($subPageEntryModel, 'title', array('style' => 'float: left; font-weight: bold; width: 400px;'));

		echo CHtml::Link('löschen', $this->createUrl('subPage/deleteSubPageEntry',
			array('subpage_simple_blog_id' => $subPageEntryModel['subpage_simple_blog_id'])),
			array('style' => 'float: right; text-decoration:none; color: #FF3333;'));?>
	</div>
	
	
	
	<div class="span-13" style="float: left; margin-top:10px; ">		
		<?php 
		echo CHtml::activeTextArea($subPageEntryModel, 'text', array('style' => 'float: left; resize: none; border: solid grey 1px; 
				', 'rows' => 8, 'cols' => 80));
		?>
	</div>
	
	
	<!-- Visibility -->
	<div class="span-13" style="background-color: white; float: left; margin-top: 10px; margin-bottom: 10px;">
		<?php
		echo CHtml::Label('Sichtbarkeit:', true, array('style' => 'float: left; margin-right: 10px;'));
	    $this->widget('ext.visibility_popup.VisibilityPopup', 
				array('model' => $subPageEntryModel, 'attribute' => "visibility",
					'style' => 'float: left; top: -8px;'));
		?>
	</div>
	
	
	
	
	
	
	
	<!-- Image upload -->
	<div class="span-13" style="background-color: white; float: left;">
				
		<?php
		  $maxFiles = 20;
		  $this->widget('CMultiFileUpload', array(
			 'name' => 'file_name',
		     'accept'=>'jpg|gif|png',
			 'max' => $maxFiles,
		     'options'=>array(				
		        'onFileSelect'=>'function(e, v, m){  }',
		        'afterFileSelect'=>'function(e, v, m){
					
					var fileSize = e.files[0].size;
					//alert("asdsd: " +fileSize);		// TODO: go on
					if(fileSize>10000*1024){
                    	alert("Datei darf nicht größer sein als 10MB");
						fileCount = fileCount + 1;
                    	$(".MultiFile-remove").last().click(); //<--cliks the remove button if size exceeds
                  	}
					else {
						
						fileCount = fileCount + 1;
						if(fileCount >= maxFileCount) {
		     				$("#maxFileCountHint").show("fast");
						}
						
					}					

					return true; 
				}',
		        'onFileAppend'=>'function(e, v, m){  }',
		        'afterFileAppend'=>'function(e, v, m){  }',
		        'onFileRemove'=>'function(e, v, m){  }',
		        'afterFileRemove'=>'function(e, v, m){  
					fileCount = fileCount - 1;
					$("#maxFileCountHint").hide("fast"); 
				}',
		     ),
		  ));
		?>
	
		<?php echo CHtml::Label('Es können höchstens ' .$maxFiles .' Dateien gleichzeitig hochgeladen werden.', true, 
				array('style' => 'font-weight: normal; display: none; margin-top: 5px;', 'id' => 'maxFileCountHint'));?>
	</div>


	<div class="span-13" style="height: 15px; float: left;"> </div>
	
	
	<div class="span-13" style="height: 25px; background-color: white; float: left;">
	<?php echo CHtml::submitButton('Beitrag ändern'); ?>
	</div>	


	<?php $this->endWidget(); ?>
	</div><!-- form -->
	
	
	
	
	
	
	
	<!-- simple blog image list -->
	<?php  if(isset($blogImages) && count($blogImages) > 0) { ?>
	<div class="span-13" style="float: left; margin-bottom: 15px; position: relative;">
		<?php 
		$lines = 0;
		$i = 0;
		foreach ($blogImages as $imgCount => $blogImag) {

			$img = $blogImag->image();		// TODO: ERRORS; GO ON
			$imgWidth = 160;
			$imgHeight = $imgWidth;
			if($img->height > $img->width) {				
				$crop = array('width' => $img->width, 'height' => $img->width,
					'offset_x' => Null, 'offset_y' => Null);			// TODO: check if NULL centralizes the image crop
			}
			else {
				$crop = array('width' => $img->height, 'height' => $img->height,
					'offset_x' => Null, 'offset_y' => Null);
			}
			
			$image = Yii::app()->easyImage->thumbOf($img->file,
				array(
					'crop' => $crop,
					'resize' => array('width' => $imgWidth),	// 160x160 image
					'type' => 'jpg',
					'quality' => 70,
				),
				array('style' => 'margin-bottom: 7px;
							float: left; border: solid grey 1px;')
			);
			

			?>
			<div style=" position: relative; width: 160px; height: 160px; padding: 5px; float: left;" 
			id="edit_image_container_<?php echo $imgIds[$imgCount];?>">
			
				<?php 
				echo CHtml::link($image, '', array('style' => 'position: absolute;', 
									'id' => 'news_img_'.$imgIds[$imgCount].'')); 
				?>
				<div style="width: 32px; height: 32px; z-index: 1; margin-left: 5px; margin-top: 5px; position: absolute;">
				
				<?php 
				// star image
				$starImgPath = Yii::app()->request->baseUrl.'/images/icons/star.png';
				?>
				
				</div>
				
				<div style="width: 32px; height: 32px; z-index: 1; margin-left: 127px; margin-top: 5px; position: absolute;">
				<?php 
				
				// delete image
				echo CHtml::image(Yii::app()->request->baseUrl.'/images/icons/thrash_light.png', '',
					array('style' => '',
						'onclick' => "quickDeleteImage(".$imgIds[$imgCount].", ".$subPageEntryModel->subpage_simple_blog_id.")",
						'id' => 'thrash_news_img_'.$imgIds[$imgCount].''));
				?>
				</div>
			
			</div>
		<?php } ?>
	</div>


	<?php } ?>
	
	
	
	
	
	
	
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left;
			margin-bottom:30px; margin-top:20px;">
	<!-- separator -->
	</div>