<?php
Yii::app()->clientScript->registerScriptFile(
Yii::app()->request->baseUrl.'/javascript/dnd-team-list.js',CClientScript::POS_END);
?>




<?php echo CHtml::link('<< zurück',Yii::app()->request->urlReferrer, 
		array('style' => 'color: #FF3333; float:left;')); ?>

<div style="">

	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-right: 0px; margin-top:20px; margin-bottom:20px;">
	<!-- separator -->
	</div>

	<!-- 
	--------------------
	Team name DIV
	--------------------
	 -->
	<div class="span-13" style="height: 25px; background-color: white; float: left;">
	
		<div class="span-13" style="height: 25px; background-color: white; float: left;">	
		<?php echo CHtml::Label($teamModel['team_name'], true, array('style' => 'font-weight: bold; font-size: 16px;'));?>
		</div>
	</div>

	<div class="span-13" style="height: 5px; background-color: white; float: left; margin-right: 0px;">
	<!-- free space -->
	</div>
	
	<!-- 
	--------------------
	Image DIV
	--------------------
	 -->
	<div class="span-13" style="">
	
	
		<div class="span-7" style="float: left;">
		<?php 
		if(isset($teamImage)) {			
			
			$img = $teamImage->image();
			$crop = array('width' => $img->width, 'height' => $img->width/(4.0/3.0),
					'offset_x' => Null, 'offset_y' => 0);
				
			$image = Yii::app()->easyImage->thumbOf($img->file,
					array(
							'crop' => $crop,
							'resize' => array('width' => 255),
							'type' => 'jpg',
							'quality' => 70,
					),
					array('style' => 'margin-left: 7px; margin-bottom: 7px;
										float: left; border: solid grey 1px;')
			);
				
			echo CHtml::link($image, '', array());
		}
		?>
		</div>
		
		<div class="span-6" style="float: right; margin: 0px; padding: 0px;">
		<?php 
		$form=$this->beginWidget('CActiveForm',
			array(
				'id' => 'upload-form',
				'enableAjaxValidation' => false,
				'htmlOptions' => array('enctype' => 'multipart/form-data'),
			));	
		
		$this->widget('CMultiFileUpload', array(
			'model'=>$teamImage,
			'name' => 'file_name',
			'accept'=>'jpg|gif|png',
			'max' => 1,
			'options'=>array(
				'onFileSelect'=>'function(e, v, m){  }',
				'afterFileSelect'=>'function(e, v, m){
					var fileSize = e.files[0].size;
					if(fileSize>5000*1024){
	                   	alert("Datei darf nicht größer sein als 5MB");
	                   	$(".MultiFile-remove").last().click(); //<--cliks the remove button if size exceeds
	                }
					return true;
				}',
				'onFileAppend'=>'function(e, v, m){  }',
				'afterFileAppend'=>'function(e, v, m){  }',
				'onFileRemove'=>'function(e, v, m){  }',
				'afterFileRemove'=>'function(e, v, m){	}',
			),
			'htmlOptions'=>array(
					'style'=>'float: left;',
			),
		)); 
		
		echo CHtml::submitButton('Bild hochladen', array('style' => 'float: left; margin-top: 10px; margin-right: 0px;'));
		
		$this->endWidget();
		
		// TODO: add functionality
		echo CHtml::submitButton('Bild löschen', array('onclick' => 'return false;', 'style' => 'float: left; margin-top: 10px; margin-right: 0px;'));
		?>
		</div>
	
	
	</div>
	
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-right: 0px; margin-top:20px; margin-bottom:20px;">
	<!-- separator -->
	</div>
	
	
	<!-- 
	--------------------
	Image Text DIV
	--------------------
	 -->
	 <div class="span-13" style="margin-top: 10px; word-wrap:break-word">
	 
	 	<?php echo CHtml::Label('Bildbeschreibung', true, 
	 			array('style' => 'font-weight: bold; float: left; margin-right: 300px; margin-bottom: 10px; font-size: 16px;'));?>
	 	
		<?php echo CHtml::activeTextArea($teamModel, 'img_text', 
				array('style' => 'resize: none; border: solid grey 1px; float: left; 
				', 'rows' => 4, 'cols' => 45, 'id' => 'image-text-form'));?>
	</div>
	
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-right: 0px; margin-top:20px; margin-bottom:20px;">
	<!-- separator -->
	</div>
	
	
	
	<!-- 
	--------------------
	Team properties DIV
	--------------------
	 -->
	<div class="span-13" style="word-wrap:break-word">
		<?php echo CHtml::Label('Manschaftseigenschaften', true, array('style' => 'margin-right: 300px; font-weight: bold; font-size: 16px;'));?>
		<div class="span-12" style="height: 10px; float: left; ">
		<!-- white space -->
		</div>
		
		<?php echo CHtml::Label('Mannschaftsname', true, array('style' => 'margin-right: 10px;'));?>
		<?php echo CHtml::activeTextField($teamModel, 'team_name', 
				array('style' => 'height:15px; border: solid grey 1px; width: 200px', 'id' => 'team-name-form'));?>
		<br>
		<div class="span-13" style="height: 10px; float: left; ">
		<!-- white space -->
		</div>
		
		<?php echo CHtml::Label('Mannschaftsführer', true, array('style' => 'margin-right: 10px;'));?>
				
		<?php 
		$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
			'name'=>'players',
			'value' => $captain,
			'sourceUrl' => $this->createUrl('Team/getPlayers'),
			// additional javascript options for the autocomplete plugin
			'id' => 'team-captain-captain-form',
			'options'=>array(
					'minLength'=>'2',
					'showAnim'=>'fold',
					'select'=>"js:function(event, ui) {
                     	$('#team-captain-hidden').val(ui.item.id);
                     }"
			),
			'htmlOptions'=>array(
					'style'=>'height:15px; width: 200px; border: solid grey 1px;',
					'onkeypress'=>" if(event.keyCode == 13){  } ",
			),
		));	
		echo CHtml::hiddenField('team-captain-hidden', '-1');
		?>
	</div>
	
	
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-right: 0px; margin-top:20px; margin-bottom:20px;">
	<!-- separator -->
	</div>
	
	<!-- 
	--------------------
	Players order DIV
	--------------------
	 -->
			
	<div class="span-13" style="word-wrap:break-word">
		<?php echo CHtml::Label('Spielerübersicht', true, array('style' => 'font-weight: bold; font-size: 16px;'));?>
		
		<div class="span-12" style="height: 10px; float: left; ">
		<!-- white space -->
		</div>
			
		<div id="play" style="float: left;">
		    <ul class="span-13" id="team-list">
				<?php
				$playersCount = count($players);
				if($playersCount > 0) {										

					for($i= 0; $i<$playersCount; $i=$i+1) {
					
			        $p_prename = $players[$i]->prename;
			        $p_name = $players[$i]->name;
			        $p_u_id = $players[$i]->u_id;
			        $p_edit_link = '<a href="'.$this->createUrl('user/editProfile', array('user' => $p_u_id)).'">';

			        /*
			        echo '
					<li id="yui_3_14_1_1_1394164133994_85" class="team-list yui3-dd-drop yui3-dd-draggable">
						<label id="'.$p_u_id.'" for="1" style="font-weight: bold;">'.$p_prename." ".$p_name.'</label>
						<img alt="" src="images/dragndrop.png" style="float: right; margin-left: 15px; ">
						<a href="?r=user/editProfile&u_id='.$p_u_id.'">
							<img alt="" src="images/edit_button.gif" style="float: right; margin-left: 10px; ">
						</a>
						<a href="?r=user/deleteUser&u_id='.$p_u_id.'">
							<img alt="" src="images/delete_button.gif" style="float: right; margin-left: 10px; ">
						</a>
					</li>
					'; 
					*/
			        
			        echo '
					<li id="yui_3_14_1_1_1394164133994_85" class="team-list yui3-dd-drop yui3-dd-draggable">
						<label id="'.$p_u_id.'" for="1" style="font-weight: bold;">'.$p_prename." ".$p_name.'</label>
						<img alt="" src="'.Yii::app()->request->baseUrl.'/images/icons/dragndrop_icon.png" style="float: right; margin-left: 20px; " width="16">
						
						'.$p_edit_link.'
							<img alt="" src="'.Yii::app()->request->baseUrl.'/images/icons/edit_icon.png" style="float: right; margin-left: 20px; " width="16">
						</a>
						<a href="'.$this->createUrl('team/deletePlayer/player_id/'.$p_u_id.'/team_id/'.$teamModel->team_id).'">
							<img alt="" src="'.Yii::app()->request->baseUrl.'/images/icons/delete_icon.png" style="float: right; margin-left: 20px; " width="16">
						</a>
					</li>
					';
			        
			        
					}
				}
				else {
					echo CHtml::Label('noch keine Spieler hinzugefügt.', true, array('style' => 'color: red;', 'id' => 'no_players_in_team_label'));
				}
				?>
			</ul>
		   
		   	
		</div>
	</div>
	
	<div class="span-13" style="height: 25px; background-color: white; float: left; margin-top: 10px;">
		<?php 
		echo CHtml::submitButton('Änderungen speichern', array('onclick' => 'storePlayerOrder('.$teamModel->team_id.');')); 
		?>
	</div>
	
	
	
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-right: 0px; margin-top:20px; margin-bottom:20px;">
	<!-- separator -->
	</div>
	
	
	<!-- 
	--------------------
	search player DIV
	--------------------
	 -->
	 
	<div class="span-13" style="height: 25px; background-color: white; float: left; margin-bottom: 5px;">
		<?php echo CHtml::Label('Spieler hinzufügen', true, 
										array('style' => 'font-weight: bold; font-size: 16px;')); ?>
	</div> 
	 
	<div class="span-13" style="word-wrap:break-word">
	
	
	<?php 
	
	echo CHtml::Label('Spieler name', true,
			array('style' => 'margin-right: 10px;'));
	
	$this->widget('zii.widgets.jui.CJuiAutoComplete',array(
			'name'=>'players',
			'sourceUrl' => $this->createUrl('Team/getPlayers'),
			// additional javascript options for the autocomplete plugin
			'id' => 'player-search-add-form',
			'options'=>array(
					'minLength'=>'2',
					'showAnim'=>'fold',
					'select'=>"js:function(event, ui) {
                     	$('#player-search-add-form-hidden').val(ui.item.id);
                     }"
			),
			'htmlOptions'=>array(
					'style'=>'height:20px; width: 270px;',
					'onkeypress'=>" if(event.keyCode == 13){ addPlayer(".$teamModel->team_id."); } ",
			),
	));	
	echo CHtml::hiddenField('player-search-add-form-hidden', '-1');
	
	echo CHtml::submitButton('Spieler hinzufügen', array('onclick' => 'addPlayer('.$teamModel->team_id.');',
					'style' => 'float: right;'))
	?>
	
	</div>
	
	
	
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-right: 0px; margin-top:20px; margin-bottom:20px;">
	<!-- separator -->
	</div>
	
	<?php 
		echo CHtml::submitButton('Alle Änderungen speichern', array('onclick' => 'storePlayerOrder('.$teamModel->team_id.');', 
			'style' => '')); 
	?>
	
	<div class="span-13" style="height: 1px; background-color: #B8B8B8 ; float: left; margin-right: 0px; margin-top:20px; margin-bottom:20px;">
	<!-- separator -->
	</div>
	
</div>

<?php echo CHtml::link('<< zurück',Yii::app()->request->urlReferrer, 
		array('style' => 'color: #FF3333; float:left;')); ?>